package com.hdp.pi.config.kolon;

import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.ImportResource;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@ConditionalOnProperty(value = "asConsumer")
@Configuration
@ImportResource(value = { "classpath:META-INF/spring/kolon-dubbo-consumer.xml" })
@PropertySource({ "classpath:kolon.${mode}.properties","classpath:kolon.properties" })
@Component("kolonDubboServiceConsumer")
public class DubboServiceConsumer {

}
